AnsweredAssumed Answered

Computing transaction...error: Can't install openssh-7.3p1-r0@cortexa7hf_neon: conflicted package dropbear-2016.74-r0@cortexa7hf_neon is locked

Question asked by zafer sen on Jun 11, 2018

Hi. 

 

I want to include openssh server in volansys-image-gw-minimal. To do this I added EXTRA_IMAGE_FEATURES = "debug-tweaks tools-debug eclipse-debug ssh-server-openssh" to the build-x11 / conf / local.conf file.

 

I then started the compilation process after adding CORE_IMAGE_EXTRA_INSTALL + = "openssh-sftp openssh-sftp-server" to source / meta-volansys-gw / recipes-fsl / volansys-image-gw-minimal.bb.

I get the following error during compilation.

 

ERROR: volansys-image-gw-minimal-1.0-r0 do_rootfs: Unable to install packages. Command '/home/ubuntu/fsl-release-bsp/build-x11/tmp/sysroots/x86_64-linux/usr/bin/smart --log-level=warning --data-dir=/home/ubuntu/fsl-release-bsp/build-x11/tmp/work/imx6ulmg-poky-linux-gnueabi/volansys-image-gw-minimal/1.0-r0/rootfs/var/lib/smart install -y locale-base-en-us@cortexa7hf_neon locale-base-en-gb@cortexa7hf_neon i2c-tools@cortexa7hf_neon ota-update@cortexa7hf_neon auto-recovery@cortexa7hf_neon libarchive@cortexa7hf_neon ota-tools@cortexa7hf_neon mtd-utils@cortexa7hf_neon lighttpd@cortexa7hf_neon hostapd@cortexa7hf_neon swupdate@cortexa7hf_neon libsqlite0@cortexa7hf_neon packagegroup-core-tools-debug@all run-postinsts@all dropbear@cortexa7hf_neon packagegroup-core-ssh-openssh@all shadow@cortexa7hf_neon swupdate-www@cortexa7hf_neon imx-kobs@cortexa7hf_neon packagegroup-core-boot@imx6ulmg dhcp-client@cortexa7hf_neon mmc-utils@cortexa7hf_neon e2fsprogs@cortexa7hf_neon e2fsprogs-tune2fs@cortexa7hf_neon iw@cortexa7hf_neon dhcp-server@cortexa7hf_neon e2fsprogs-resize2fs@cortexa7hf_neon ntp@cortexa7hf_neon libnfc-nci@cortexa7hf_neon openssl@cortexa7hf_neon packagegroup-volansys-gw@all base-passwd@cortexa7hf_neon packagegroup-core-eclipse-debug@all bridge-utils@cortexa7hf_neon iproute2@cortexa7hf_neon libpcap1@cortexa7hf_neon packagegroup-volansys-gw-demo@all finalize-boot@cortexa7hf_neon bind@cortexa7hf_neon u-boot-imx-fw-utils@imx6ulmg packagegroup-base-extended@imx6ulmg mtd-utils-ubifs@cortexa7hf_neon libusb-1.0-0@cortexa7hf_neon libusb-0.1-4@cortexa7hf_neon zeromq@cortexa7hf_neon dosfstools@cortexa7hf_neon psplash@cortexa7hf_neon' returned 1:
Loading cache...
Updating cache... ######################################## [100%]

 

Computing transaction...error: Can't install openssh-7.3p1-r0@cortexa7hf_neon: conflicted package dropbear-2016.74-r0@cortexa7hf_neon is locked


ERROR: volansys-image-gw-minimal-1.0-r0 do_rootfs: Function failed: do_rootfs
ERROR: Logfile of failure stored in: /home/ubuntu/fsl-release-bsp/build-x11/tmp/work/imx6ulmg-poky-linux-gnueabi/volansys-image-gw-minimal/1.0-r0/temp/log.do_rootfs.5288
ERROR: Task (/home/ubuntu/fsl-release-bsp/sources/meta-volansys-gw/recipes-fsl/images/volansys-image-gw-minimal.bb:do_rootfs) failed with exit code '1'
NOTE: Tasks Summary: Attempted 4135 tasks of which 3776 didn't need to be rerun and 1 failed.

Summary: 1 task failed:
/home/ubuntu/fsl-release-bsp/sources/meta-volansys-gw/recipes-fsl/images/volansys-image-gw-minimal.bb:do_rootfs
Summary: There were 2 ERROR messages shown, returning a non-zero exit code.

Outcomes